#include <avr/pgmspace.h>
#include "atan2tab.h"

// Vollwinkel = 100
const signed char atan2tab[15*15] PROGMEM = 
{
    -37,    /* [  0] =  -7 -7 =  -135.0 */
    -36,    /* [  1] =  -6 -7 =  -130.6 */
    -35,    /* [  2] =  -5 -7 =  -125.5 */
    -33,    /* [  3] =  -4 -7 =  -119.7 */
    -31,    /* [  4] =  -3 -7 =  -113.2 */
    -29,    /* [  5] =  -2 -7 =  -105.9 */
    -27,    /* [  6] =  -1 -7 =  -98.1 */
    -25,    /* [  7] =   0 -7 =  -90.0 */
    -23,    /* [  8] =   1 -7 =  -81.9 */
    -21,    /* [  9] =   2 -7 =  -74.1 */
    -19,    /* [ 10] =   3 -7 =  -66.8 */
    -17,    /* [ 11] =   4 -7 =  -60.3 */
    -15,    /* [ 12] =   5 -7 =  -54.5 */
    -14,    /* [ 13] =   6 -7 =  -49.4 */
    -12,    /* [ 14] =   7 -7 =  -45.0 */
    -39,    /* [ 15] =  -7 -6 =  -139.4 */
    -37,    /* [ 16] =  -6 -6 =  -135.0 */
    -36,    /* [ 17] =  -5 -6 =  -129.8 */
    -34,    /* [ 18] =  -4 -6 =  -123.7 */
    -32,    /* [ 19] =  -3 -6 =  -116.6 */
    -30,    /* [ 20] =  -2 -6 =  -108.4 */
    -28,    /* [ 21] =  -1 -6 =  -99.5 */
    -25,    /* [ 22] =   0 -6 =  -90.0 */
    -22,    /* [ 23] =   1 -6 =  -80.5 */
    -20,    /* [ 24] =   2 -6 =  -71.6 */
    -18,    /* [ 25] =   3 -6 =  -63.4 */
    -16,    /* [ 26] =   4 -6 =  -56.3 */
    -14,    /* [ 27] =   5 -6 =  -50.2 */
    -12,    /* [ 28] =   6 -6 =  -45.0 */
    -11,    /* [ 29] =   7 -6 =  -40.6 */
    -40,    /* [ 30] =  -7 -5 =  -144.5 */
    -39,    /* [ 31] =  -6 -5 =  -140.2 */
    -37,    /* [ 32] =  -5 -5 =  -135.0 */
    -36,    /* [ 33] =  -4 -5 =  -128.7 */
    -34,    /* [ 34] =  -3 -5 =  -121.0 */
    -31,    /* [ 35] =  -2 -5 =  -111.8 */
    -28,    /* [ 36] =  -1 -5 =  -101.3 */
    -25,    /* [ 37] =   0 -5 =  -90.0 */
    -22,    /* [ 38] =   1 -5 =  -78.7 */
    -19,    /* [ 39] =   2 -5 =  -68.2 */
    -16,    /* [ 40] =   3 -5 =  -59.0 */
    -14,    /* [ 41] =   4 -5 =  -51.3 */
    -12,    /* [ 42] =   5 -5 =  -45.0 */
    -11,    /* [ 43] =   6 -5 =  -39.8 */
    -10,    /* [ 44] =   7 -5 =  -35.5 */
    -42,    /* [ 45] =  -7 -4 =  -150.3 */
    -41,    /* [ 46] =  -6 -4 =  -146.3 */
    -39,    /* [ 47] =  -5 -4 =  -141.3 */
    -37,    /* [ 48] =  -4 -4 =  -135.0 */
    -35,    /* [ 49] =  -3 -4 =  -126.9 */
    -32,    /* [ 50] =  -2 -4 =  -116.6 */
    -29,    /* [ 51] =  -1 -4 =  -104.0 */
    -25,    /* [ 52] =   0 -4 =  -90.0 */
    -21,    /* [ 53] =   1 -4 =  -76.0 */
    -18,    /* [ 54] =   2 -4 =  -63.4 */
    -15,    /* [ 55] =   3 -4 =  -53.1 */
    -12,    /* [ 56] =   4 -4 =  -45.0 */
    -11,    /* [ 57] =   5 -4 =  -38.7 */
     -9,    /* [ 58] =   6 -4 =  -33.7 */
     -8,    /* [ 59] =   7 -4 =  -29.7 */
    -44,    /* [ 60] =  -7 -3 =  -156.8 */
    -43,    /* [ 61] =  -6 -3 =  -153.4 */
    -41,    /* [ 62] =  -5 -3 =  -149.0 */
    -40,    /* [ 63] =  -4 -3 =  -143.1 */
    -37,    /* [ 64] =  -3 -3 =  -135.0 */
    -34,    /* [ 65] =  -2 -3 =  -123.7 */
    -30,    /* [ 66] =  -1 -3 =  -108.4 */
    -25,    /* [ 67] =   0 -3 =  -90.0 */
    -20,    /* [ 68] =   1 -3 =  -71.6 */
    -16,    /* [ 69] =   2 -3 =  -56.3 */
    -12,    /* [ 70] =   3 -3 =  -45.0 */
    -10,    /* [ 71] =   4 -3 =  -36.9 */
     -9,    /* [ 72] =   5 -3 =  -31.0 */
     -7,    /* [ 73] =   6 -3 =  -26.6 */
     -6,    /* [ 74] =   7 -3 =  -23.2 */
    -46,    /* [ 75] =  -7 -2 =  -164.1 */
    -45,    /* [ 76] =  -6 -2 =  -161.6 */
    -44,    /* [ 77] =  -5 -2 =  -158.2 */
    -43,    /* [ 78] =  -4 -2 =  -153.4 */
    -41,    /* [ 79] =  -3 -2 =  -146.3 */
    -37,    /* [ 80] =  -2 -2 =  -135.0 */
    -32,    /* [ 81] =  -1 -2 =  -116.6 */
    -25,    /* [ 82] =   0 -2 =  -90.0 */
    -18,    /* [ 83] =   1 -2 =  -63.4 */
    -12,    /* [ 84] =   2 -2 =  -45.0 */
     -9,    /* [ 85] =   3 -2 =  -33.7 */
     -7,    /* [ 86] =   4 -2 =  -26.6 */
     -6,    /* [ 87] =   5 -2 =  -21.8 */
     -5,    /* [ 88] =   6 -2 =  -18.4 */
     -4,    /* [ 89] =   7 -2 =  -15.9 */
    -48,    /* [ 90] =  -7 -1 =  -171.9 */
    -47,    /* [ 91] =  -6 -1 =  -170.5 */
    -47,    /* [ 92] =  -5 -1 =  -168.7 */
    -46,    /* [ 93] =  -4 -1 =  -166.0 */
    -45,    /* [ 94] =  -3 -1 =  -161.6 */
    -43,    /* [ 95] =  -2 -1 =  -153.4 */
    -37,    /* [ 96] =  -1 -1 =  -135.0 */
    -25,    /* [ 97] =   0 -1 =  -90.0 */
    -12,    /* [ 98] =   1 -1 =  -45.0 */
     -7,    /* [ 99] =   2 -1 =  -26.6 */
     -5,    /* [100] =   3 -1 =  -18.4 */
     -4,    /* [101] =   4 -1 =  -14.0 */
     -3,    /* [102] =   5 -1 =  -11.3 */
     -3,    /* [103] =   6 -1 =  -9.5 */
     -2,    /* [104] =   7 -1 =  -8.1 */
     50,    /* [105] =  -7  0 =   180.0 */
     50,    /* [106] =  -6  0 =   180.0 */
     50,    /* [107] =  -5  0 =   180.0 */
     50,    /* [108] =  -4  0 =   180.0 */
     50,    /* [109] =  -3  0 =   180.0 */
     50,    /* [110] =  -2  0 =   180.0 */
     50,    /* [111] =  -1  0 =   180.0 */
      0,    /* [112] =   0  0 =   0.0 */
      0,    /* [113] =   1  0 =   0.0 */
      0,    /* [114] =   2  0 =   0.0 */
      0,    /* [115] =   3  0 =   0.0 */
      0,    /* [116] =   4  0 =   0.0 */
      0,    /* [117] =   5  0 =   0.0 */
      0,    /* [118] =   6  0 =   0.0 */
      0,    /* [119] =   7  0 =   0.0 */
     48,    /* [120] =  -7  1 =   171.9 */
     47,    /* [121] =  -6  1 =   170.5 */
     47,    /* [122] =  -5  1 =   168.7 */
     46,    /* [123] =  -4  1 =   166.0 */
     45,    /* [124] =  -3  1 =   161.6 */
     43,    /* [125] =  -2  1 =   153.4 */
     37,    /* [126] =  -1  1 =   135.0 */
     25,    /* [127] =   0  1 =   90.0 */
     12,    /* [128] =   1  1 =   45.0 */
      7,    /* [129] =   2  1 =   26.6 */
      5,    /* [130] =   3  1 =   18.4 */
      4,    /* [131] =   4  1 =   14.0 */
      3,    /* [132] =   5  1 =   11.3 */
      3,    /* [133] =   6  1 =   9.5 */
      2,    /* [134] =   7  1 =   8.1 */
     46,    /* [135] =  -7  2 =   164.1 */
     45,    /* [136] =  -6  2 =   161.6 */
     44,    /* [137] =  -5  2 =   158.2 */
     43,    /* [138] =  -4  2 =   153.4 */
     41,    /* [139] =  -3  2 =   146.3 */
     37,    /* [140] =  -2  2 =   135.0 */
     32,    /* [141] =  -1  2 =   116.6 */
     25,    /* [142] =   0  2 =   90.0 */
     18,    /* [143] =   1  2 =   63.4 */
     12,    /* [144] =   2  2 =   45.0 */
      9,    /* [145] =   3  2 =   33.7 */
      7,    /* [146] =   4  2 =   26.6 */
      6,    /* [147] =   5  2 =   21.8 */
      5,    /* [148] =   6  2 =   18.4 */
      4,    /* [149] =   7  2 =   15.9 */
     44,    /* [150] =  -7  3 =   156.8 */
     43,    /* [151] =  -6  3 =   153.4 */
     41,    /* [152] =  -5  3 =   149.0 */
     40,    /* [153] =  -4  3 =   143.1 */
     37,    /* [154] =  -3  3 =   135.0 */
     34,    /* [155] =  -2  3 =   123.7 */
     30,    /* [156] =  -1  3 =   108.4 */
     25,    /* [157] =   0  3 =   90.0 */
     20,    /* [158] =   1  3 =   71.6 */
     16,    /* [159] =   2  3 =   56.3 */
     12,    /* [160] =   3  3 =   45.0 */
     10,    /* [161] =   4  3 =   36.9 */
      9,    /* [162] =   5  3 =   31.0 */
      7,    /* [163] =   6  3 =   26.6 */
      6,    /* [164] =   7  3 =   23.2 */
     42,    /* [165] =  -7  4 =   150.3 */
     41,    /* [166] =  -6  4 =   146.3 */
     39,    /* [167] =  -5  4 =   141.3 */
     37,    /* [168] =  -4  4 =   135.0 */
     35,    /* [169] =  -3  4 =   126.9 */
     32,    /* [170] =  -2  4 =   116.6 */
     29,    /* [171] =  -1  4 =   104.0 */
     25,    /* [172] =   0  4 =   90.0 */
     21,    /* [173] =   1  4 =   76.0 */
     18,    /* [174] =   2  4 =   63.4 */
     15,    /* [175] =   3  4 =   53.1 */
     12,    /* [176] =   4  4 =   45.0 */
     11,    /* [177] =   5  4 =   38.7 */
      9,    /* [178] =   6  4 =   33.7 */
      8,    /* [179] =   7  4 =   29.7 */
     40,    /* [180] =  -7  5 =   144.5 */
     39,    /* [181] =  -6  5 =   140.2 */
     37,    /* [182] =  -5  5 =   135.0 */
     36,    /* [183] =  -4  5 =   128.7 */
     34,    /* [184] =  -3  5 =   121.0 */
     31,    /* [185] =  -2  5 =   111.8 */
     28,    /* [186] =  -1  5 =   101.3 */
     25,    /* [187] =   0  5 =   90.0 */
     22,    /* [188] =   1  5 =   78.7 */
     19,    /* [189] =   2  5 =   68.2 */
     16,    /* [190] =   3  5 =   59.0 */
     14,    /* [191] =   4  5 =   51.3 */
     12,    /* [192] =   5  5 =   45.0 */
     11,    /* [193] =   6  5 =   39.8 */
     10,    /* [194] =   7  5 =   35.5 */
     39,    /* [195] =  -7  6 =   139.4 */
     37,    /* [196] =  -6  6 =   135.0 */
     36,    /* [197] =  -5  6 =   129.8 */
     34,    /* [198] =  -4  6 =   123.7 */
     32,    /* [199] =  -3  6 =   116.6 */
     30,    /* [200] =  -2  6 =   108.4 */
     28,    /* [201] =  -1  6 =   99.5 */
     25,    /* [202] =   0  6 =   90.0 */
     22,    /* [203] =   1  6 =   80.5 */
     20,    /* [204] =   2  6 =   71.6 */
     18,    /* [205] =   3  6 =   63.4 */
     16,    /* [206] =   4  6 =   56.3 */
     14,    /* [207] =   5  6 =   50.2 */
     12,    /* [208] =   6  6 =   45.0 */
     11,    /* [209] =   7  6 =   40.6 */
     37,    /* [210] =  -7  7 =   135.0 */
     36,    /* [211] =  -6  7 =   130.6 */
     35,    /* [212] =  -5  7 =   125.5 */
     33,    /* [213] =  -4  7 =   119.7 */
     31,    /* [214] =  -3  7 =   113.2 */
     29,    /* [215] =  -2  7 =   105.9 */
     27,    /* [216] =  -1  7 =   98.1 */
     25,    /* [217] =   0  7 =   90.0 */
     23,    /* [218] =   1  7 =   81.9 */
     21,    /* [219] =   2  7 =   74.1 */
     19,    /* [220] =   3  7 =   66.8 */
     17,    /* [221] =   4  7 =   60.3 */
     15,    /* [222] =   5  7 =   54.5 */
     14,    /* [223] =   6  7 =   49.4 */
     12     /* [224] =   7  7 =   45.0 */
};
