#include <stdio.h>
#include <math.h>

void write_atan2tab (void)
{
    static char name_h [20];
    sprintf (name_h, "atan2tab.h");

    FILE * hfile = fopen (name_h, "w");

    fprintf (hfile, "#ifndef ATAN2TAB_H\n");
    fprintf (hfile, "#define ATAN2TAB_H\n\n");
    fprintf (hfile, "extern const signed char atan2tab[15*15];\n\n");
    fprintf (hfile, "#endif // ATAN2TAB_H\n");

    fclose (hfile);

    //////////////////////////////////////////

    static char name_c [100];
    sprintf (name_c, "atan2tab.c");
    FILE * cfile = fopen (name_c, "w");

    fprintf (cfile, "#include <avr/pgmspace.h>\n");
    fprintf (cfile, "#include \"%s\"\n\n", name_h);
    fprintf (cfile, "// Vollwinkel = 100\n");
    fprintf (cfile, "const signed char atan2tab[15*15] PROGMEM = \n{\n");

    for (int y = -7; y <= 7; y++)
        for (int x = -7; x <= 7; x++)
        {
            int index = x+7 + 15*(y+7);
            double a = atan2 (y, x);
            int val = 100./(2.*M_PI) * a + ((a > 0) ? 0.5 : -0.5);
            fprintf (cfile, "    % 3d%c    /* [%3d] =  % 2d % 2d =  % .1f */\n" ,
                val, (x==7 && y==7) ? ' ' : ',',
                index, x, y,
                180/M_PI * a
            );
        }
    fprintf (cfile, "};\n");
    fclose (cfile);
}

int main (int argc, char *argv[])
{
    write_atan2tab ();
    return 0;
}
